import { listen } from "@tauri-apps/api/event";
import { createEffect } from "solid-js";
import { sendImage } from "../network";

export function ImageViewer() {
    // const [latestImage, setLatestImage] = createSignal<string | null>(null);

    createEffect(async () => {
        // Listen for PNG processing events
        const unlisten = listen("png-processed", async (event) => {
            console.log("Received processed PNG", event);
            const base64Data = event.payload as string;

            // setLatestImage(`data:image/png;base64,${base64Data}`);
            const result = await sendImage("test-image.png", base64Data);

            window.location.reload();
            console.log("DBG: ", result);
        });

        return () => {
            unlisten.then((fn) => fn()); // Cleanup listener
        };
    });

    return null;

    // return (
    //     <div>
    //         <FolderPicker />

    //         {latestImage() && (
    //             <div class="mt-4">
    //                 <h3>Latest Processed Image:</h3>
    //                 <img
    //                     src={latestImage() || undefined}
    //                     alt="Latest processed"
    //                     class="max-w-md"
    //                 />
    //             </div>
    //         )}
    //     </div>
    // );
}
